@charset "utf-8";

:root {
    --body-background-color: #333333;
    --main-text-color: #efefef;
    --main-text-form-color: #333333;
    --main-text-form-hover-color: #efefef;
    /* --main-background-color: #ffffff40;
    --main-background-hover-color: #ffffff60;
    --main-background-active-color: #ffffff80; */
    --main-background-color: #00000040;
    --main-background-hover-color: #acacac60;
    --main-background-active-color: #8a8a8a80;
    --main-button-color: #ffffff40;
    --main-button-hover-color: #00000030;
    --main-button-active-color: #00000020;
    --main-input-color: #ffffff30;
    --main-input-text-placeholder-color: #ffffff70;
    --main-text-shadow: 0px 0px 8px #00000066;
    --main-search-shadow: 0 0 20px #0000000d;
    --main-search-hover-shadow: 0 0 20px #00000033;
    --border-bottom-color-hover: #efefef80;
    --border-bottom-color-active: #efefef;
}

html,
body {
    width: 100%;
    height: 100%;
    margin: 0;
    background-color: var(--body-background-color);
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none;
    user-select: none;
    font-family: 'MiSans', sans-serif;
}

section {
    display: block;
    position: fixed;
    width: 100%;
    height: 100%;
    min-height: 600px;
    opacity: 0;
    transition: ease 1.5s;
}

/*背景*/
.bg-all {
    z-index: 0;
    position: absolute;
    top: calc(0px + 0px);
    left: 0;
    width: 100%;
    height: calc(100% - 0px);
    transition: .25s;
}

#bg {
    transform: scale(1.10);
    filter: blur(10px);
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    /* object-fit: cover; 对 video 同样至关重要，它能保证视频填满容器且不变形 */
    object-fit: cover;
    transition: opacity 1s, transform .25s, filter .25s;
    backface-visibility: hidden;
    /* 确保视频在最底层 */
    z-index: -1;
}

/* 当视频或图片加载失败时，隐藏它 */
#bg.error {
    display: none;
}

/*弹窗样式*/
.iziToast {
    backdrop-filter: blur(10px) !important;
}

.iziToast:after {
    box-shadow: none !important;
}

.iziToast>.iziToast-body {
    display: flex;
    align-items: center;
}

.iziToast>.iziToast-body .iziToast-message {
    margin: 0 !important;
}

.iziToast>.iziToast-body .iziToast-texts {
    margin: 0 !important;
}

.iziToast>.iziToast-body .iziToast-buttons>a,
.iziToast>.iziToast-body .iziToast-buttons>button,
.iziToast>.iziToast-body .iziToast-buttons>input:not([type=checkbox]):not([type=radio]) {
    margin: 2px 6px !important;
    color: #efefef !important;
}

.iziToast>.iziToast-body .iziToast-buttons>a:focus,
.iziToast>.iziToast-body .iziToast-buttons>button:focus,
.iziToast>.iziToast-body .iziToast-buttons>input:not([type=checkbox]):not([type=radio]):focus {
    box-shadow: none !important;
}
